% Find threshold for LT model with big effect size (mixture of Gaussians liability)
function [x_mu x_mu_classic] = effect_size_and_prevalence_to_liability_threshold(beta, f, mu)


x_mu_classic = norminv(1-mu); 

x_mu = fzero(@(x) (1-f).*normcdf((-x-f.*beta) ./ sqrt(1-beta.^2.*f.*(1-f))) + ...
    f.*normcdf((-x+(1-f).*beta) ./ sqrt(1-beta.^2.*f.*(1-f))) - mu, x_mu_classic); 

