%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%


% New: make some plots relating beta and GRR (has nothing to do with Eyre-Walker. Move this to another script)
%beta_vec = [0:0.1:2];
if(plot_grr_to_var)
    AssignGeneralConstants;
    scale = 'diploid'; % 'haploid'; % 'haploid' 'diploid'
    figs_dir = '../../common_disease_model/figs/GRR_vs_beta';
    mu_vec = [0.001 0.01 0.1];
    f_vec = [0.0001 0.001 0.01 0.02];
    
    from_beta_to_grr=0; % direction to compute
    if(from_beta_to_grr)
        beta_vec = 0:0.001:100;
    else
        grr_vec = 1:0.001:100;
    end
    
    x_str = 'beta';
    legend_vec = [];
    for i=1:length(mu_vec)
        x_mu(i) = norminv(1-mu_vec(i));
        for j=1:length(f_vec)
            run_mu = i
            %    grr_vec(i,:) = beta_to_genetic_relative_risk(beta_vec, f_vec, mu_vec(i));
            
            
            if(from_beta_to_grr)
                [~, grr_vec{j}(i,:), ~, ~, prevalence_vec{j}(i,:)] = beta_to_genetic_relative_risk(beta_vec, f_vec(j), mu_vec(i));
                lin_beta_vec{j}(i,:) = 1 + sqrt(2).*beta_vec .* normpdf(x_mu(i)) ./ mu_vec(i); % Taylor approximation
            else
                switch scale
                    case 'liability'
                        [~, beta_vec{j}(i,:)] = ...
                            genetic_relative_risk_to_beta(f_vec(j), grr_vec, mu_vec(i))
                        lin_beta_vec{j}(i,:) = 1 + sqrt(2).*beta_vec{j}(i,:) .* normpdf(x_mu(i)) ./ mu_vec(i); % Taylor approximation
                    case {'binary', 'haploid', 'diploid'}
                        x_str = 'var';
                        [~, h_vec{j}(i,:)] = genetic_relative_risk_to_variance_explained(f_vec(j), ...
                            grr_vec, mu_vec(i), scale, 'binary'); % need to change SNPs to be diploid
                        min_f_mu = min(f_vec(j), mu_vec(i));
                        max_f_mu = max(f_vec(j), mu_vec(i));
                        max_grr_vec_ind(j,i) = find(~isnan(h_vec{j}(i,:)), 1, 'last');
                        max_grr_vec(j,i) = grr_vec(max_grr_vec_ind(j,i) )
                end
                
                switch scale % set maximum heritability                     
                    case {'binary', 'haploid'}
                        max_h_vec(j,i) = min_f_mu * (1-max_f_mu) / (max_f_mu * (1-min_f_mu));
                    case 'diploid'
                        if(f_vec(j)^2 > mu_vec(i)) % take GRR -> infinity
                           max_h_vec(j,i) = mu_vec(i) * (1-f_vec(j)^2) / ( (1-mu_vec(i)) * f_vec(j)^2 );
                        else  % take GRR = ?? 
                            max_grr = (1-f_vec(j)) / (f_vec(j)+sqrt(mu_vec(i))); 
                            [~, max_h_vec(j,i)] = genetic_relative_risk_to_variance_explained(f_vec(j), ...
                            max_grr, mu_vec(i), scale, 'binary'); % need to change SNPs to be diploid
                        end
                end % switch set maximum heritability 

                
            end
            legend_vec{i+ (j-1)*length(mu_vec)} = ['\mu=' num2str(100*mu_vec(i)) '%, f=' num2str(100*f_vec(j)) '%'];
        end
    end
    
    for log_scale = 0:1
        for prev_vec = 0 % 0:1
            figure;
            for j=1:length(f_vec)
                if(from_beta_to_grr)
                    x_vec = beta_vec;
                    if(prev_vec)
                        prev_str = 'prevalence';
                        y_vec = prevalence_vec{j};
                    else
                        prev_str = 'GRR';
                        y_vec = grr_vec{j};
                    end
                else % from grr to beta
                    prev_str = 'GRR';
                    y_vec = grr_vec;
                    switch scale
                        case 'liability'
                            x_vec = beta_vec{j};
                        case {'binary', 'haploid', 'diploid'}
                            %                        y_vec = y_vec-1; x_vec = h_vec{j};
                            x_vec = y_vec-1; y_vec = h_vec{j}; % flip axis. Take grr-1
                    end
                end
                if(log_scale)
                    loglog(x_vec, y_vec, ['' symbol_vec{j} ''], 'linewidth', 3); hold on;
                    %              for i=1:length(mu_vec)
                    %                  loglog(x_vec, lin_beta_vec{j}(i,:), ['k' symbol_vec{j+i} ''], 'linewidth', 2);
                    %              end
                    log_str = 'log';
                    %            ylim([1 10^5]);
                else
                    plot(x_vec, y_vec, ['' symbol_vec{j} ''],  'linewidth', 3); hold on;
                    %              for i=1:length(mu_vec)
                    %                  plot(x_vec, lin_beta_vec{j}(i,:), ['k' symbol_vec{j+i} ''], 'linewidth', 2);
                    %              end
                    log_str = '';
                    %            ylim([1 100]);
                end
                %        ylim([1 5000]);
            end
            
            %     legend_vec = [repmat('\mu=', length(mu_vec), 1) num2str(100*mu_vec') repmat('%', length(mu_vec), 1)];
            %     legend_vec = repmat(legend_vec, 3, 1)
            legend(legend_vec, 2);
            switch scale
                case 'liability'
                    xlabel('\beta');
                case {'binary', 'haploid', 'diploid'}
                    ylabel('h^2 (binary scale)');
            end
            if(prev_vec)
                ylabel('Prevalence');
            else
                switch scale
                    case 'liability'
                        ylabel('GRR-1');
                    case {'binary', 'haploid', 'diploid'}
                        xlabel('GRR-1');
                end
                if(~from_beta_to_grr)
                    switch scale
                        case {'binary', 'haploid', 'diploid'}
                            plot(max_grr_vec, max_h_vec, '*', 'markersize', 10);
                            plot(max_grr_vec, max_h_vec, 'o', 'markersize', 10);
                            
                    end
                end
            end
            
            title([prev_str ' as Function of \beta on liability scale. f - risk allele freq. \mu - prevalence']);
            switch scale
                case 'liability'
                    xlim([10^(-8) 1]);
                case  {'binary', 'haploid', 'diploid'}
                    %xlim([]);
                    ylim([10^(-5) 1]);
                    xlim([10^(-2) 10^2]);
            end
            my_saveas(gcf, fullfile(figs_dir, [prev_str '_vs_' x_str '_' scale '_' log_str]), {'epsc', 'pdf', 'fig'});
        end % loop on prev_vec (why?)
    end % loop on log-scale
    
    
end % plot_grr_to_var







