% Script for updating phenotypic correlation  counts for all iterations

if(~exist('all_iters_phenotype_corr_by_IBD_vec', 'var') || isempty(all_iters_phenotype_corr_by_IBD_vec))
    all_iters_phenotype_corr_by_IBD_vec.IBD_bins = phenotype_corr_by_IBD_vec.IBD_bins; 
    all_iters_phenotype_corr_by_IBD_vec.corr_mean = zeros(num_bins+1,1);
    all_iters_phenotype_corr_by_IBD_vec.corr_std = zeros(num_bins+1,1);
    all_iters_phenotype_corr_by_IBD_vec.corr_counts = zeros(num_bins+1,1);
    all_iters_phenotype_corr_by_IBD_vec.max_liability_prob = zeros(num_bins+1,1);
    all_iters_phenotype_corr_by_IBD_vec.top_values = []; 
    all_iters_phenotype_corr_by_IBD_vec.LP_phenotype_mean = []; 
    all_iters_phenotype_corr_by_IBD_vec.LP_phenotype_std = []; 
end
all_iters_phenotype_corr_by_IBD_vec.corr_mean = all_iters_phenotype_corr_by_IBD_vec.corr_mean + ...
    phenotype_corr_by_IBD_vec.corr_mean .* phenotype_corr_by_IBD_vec.corr_counts; % Compute cumulative total
all_iters_phenotype_corr_by_IBD_vec.corr_std = all_iters_phenotype_corr_by_IBD_vec.corr_std + ...
    phenotype_corr_by_IBD_vec.corr_std.^2 .* phenotype_corr_by_IBD_vec.corr_counts + ...
    phenotype_corr_by_IBD_vec.corr_mean.^2 .* phenotype_corr_by_IBD_vec.corr_counts; % Compute cumulativevariance
all_iters_phenotype_corr_by_IBD_vec.corr_counts = all_iters_phenotype_corr_by_IBD_vec.corr_counts + ...
    phenotype_corr_by_IBD_vec.corr_counts; % Compute cumulative counts

all_iters_phenotype_corr_by_IBD_vec.max_liability_prob = all_iters_phenotype_corr_by_IBD_vec.max_liability_prob + ...
    phenotype_corr_by_IBD_vec.max_liability_prob .* phenotype_corr_by_IBD_vec.corr_counts; % Compute cumulative total prob. pathways are equal



% New: do the same for genotype corrs 
if(~exist('all_iters_genotype_corr_by_IBD_vec', 'var') || isempty(all_iters_genotype_corr_by_IBD_vec))
    all_iters_genotype_corr_by_IBD_vec.IBD_bins = genotype_corr_by_IBD_vec.IBD_bins; 
    all_iters_genotype_corr_by_IBD_vec.corr_mean = zeros(num_bins+1,1);
    all_iters_genotype_corr_by_IBD_vec.corr_std = zeros(num_bins+1,1);
    all_iters_genotype_corr_by_IBD_vec.corr_counts = zeros(num_bins+1,1);
    all_iters_genotype_corr_by_IBD_vec.top_values = []; 
    all_iters_phenotype_corr_by_IBD_vec.top_max_inds_equal = []; 
    all_iters_phenotype_corr_by_IBD_vec.LP_phenotype_vec = []; 
end
all_iters_genotype_corr_by_IBD_vec.corr_mean = all_iters_genotype_corr_by_IBD_vec.corr_mean + ...
    genotype_corr_by_IBD_vec.corr_mean .* genotype_corr_by_IBD_vec.corr_counts; % Compute cumulative total
all_iters_genotype_corr_by_IBD_vec.corr_std = all_iters_genotype_corr_by_IBD_vec.corr_std + ...
    genotype_corr_by_IBD_vec.corr_std.^2 .* genotype_corr_by_IBD_vec.corr_counts + ...
    genotype_corr_by_IBD_vec.corr_mean.^2 .* genotype_corr_by_IBD_vec.corr_counts; % Compute cumulativevariance
all_iters_genotype_corr_by_IBD_vec.corr_counts = all_iters_genotype_corr_by_IBD_vec.corr_counts + ...
    genotype_corr_by_IBD_vec.corr_counts; % Compute cumulative counts


% New: add top values
all_iters_genotype_corr_by_IBD_vec.top_values = [...
    all_iters_genotype_corr_by_IBD_vec.top_values vec2row(SNP_corr_mat(sub2ind(size(SNP_corr_mat), high_I, high_J)))];
all_iters_phenotype_corr_by_IBD_vec.top_values = [...
    all_iters_phenotype_corr_by_IBD_vec.top_values vec2row(pairwise_phenotype_corr_mat(sub2ind(size(pairwise_phenotype_corr_mat), high_I, high_J)))]; 
   


    
temp_equal_max_inds = (LP_max_pathway_vec(high_I) == LP_max_pathway_vec(high_J)); 
all_iters_phenotype_corr_by_IBD_vec.top_max_inds_equal = [ ...
    all_iters_phenotype_corr_by_IBD_vec.top_max_inds_equal vec2row(temp_equal_max_inds)];


all_iters_phenotype_corr_by_IBD_vec.LP_phenotype_vec = [all_iters_phenotype_corr_by_IBD_vec.LP_phenotype_vec vec2row(LP_phenotype_vec)];
all_iters_phenotype_corr_by_IBD_vec.LP_phenotype_mean(i) = mean(LP_phenotype_vec); 
all_iters_phenotype_corr_by_IBD_vec.LP_phenotype_std(i) = std(LP_phenotype_vec); 
